package com.auth.dao.base.entity;

import com.auth.common.model.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

@Getter
@Setter
@Accessors(chain = true)
@TableName("sys_login_log")
@Schema(name = "LoginLog-系统用户登录日志实体类", title = "系统用户登录日志", description = "系统用户登录日志的实体类对象")
public class LoginLogEntity extends BaseEntity {

    @Schema(name = "userId", title = "用户ID")
    private Long userId;

    @Schema(name = "username", title = "用户名")
    private String username;

    @Schema(name = "loginType", title = "登录类型(account=账号,phone=手机,email=邮箱)")
    private String loginType;

    @Schema(name = "loginResult", title = "登录结果(0=失败,1=成功)")
    private Integer loginResult;

    @Schema(name = "ipAddress", title = "登录IP")
    private String ipAddress;

    @Schema(name = "ipRegion", title = "IP归属地")
    private String ipRegion;

    @Schema(name = "userAgent", title = "用户代理")
    private String userAgent;

    @Schema(name = "deviceType", title = "设备类型")
    private String deviceType;

    @Schema(name = "osType", title = "操作系统")
    private String osType;

    @Schema(name = "browserType", title = "浏览器类型")
    private String browserType;

    @Schema(name = "errorMsg", title = "错误信息")
    private String errorMsg;

}