package com.auth.dao.base.entity;

import com.auth.common.model.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

@Getter
@Setter
@Accessors(chain = true)
@TableName("sys_role")
@Schema(name = "Role-系统角色实体类", title = "系统角色", description = "系统角色的实体类对象")
public class RoleEntity extends BaseEntity {

    @Schema(name = "roleCode", title = "角色代码")
    private String roleCode;

    @Schema(name = "description", title = "描述")
    private String description;

    @Schema(name = "isDeleted", title = "是否删除")
    private Boolean isDeleted;

    @Schema(name = "roleName", title = "角色名称")
    private String roleName;

    @Schema(name = "roleType", title = "角色类型(1=系统角色,2=业务角色,3=自定义角色)")
    private Integer roleType;

    @Schema(name = "dataScope", title = "数据权限范围(1=全部数据,2=本部门及以下,3=本部门,4=仅本人,5=自定义)")
    private Integer dataScope;

    @Schema(name = "orderNum", title = "显示顺序")
    private Integer orderNum;

    @Schema(name = "status", title = "状态(0=禁用,1=启用)")
    private Integer status;

    @Schema(name = "remark", title = "备注说明")
    private String remark;

}