package com.auth.dao.base.mapper.v1;

import com.auth.model.base.dto.DeptDto;
import com.auth.model.base.vo.DeptVo;
import com.auth.dao.base.entity.DeptEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 部门表 Mapper 接口
 * </p>
 *
 * @author AuthoritySystem
 * @since 2025-07-17 23:12:33
 */
@Mapper
public interface DeptMapper extends BaseMapper<DeptEntity> {

    /**
     * 分页查询部门表内容
     *
     * @param pageParams 部门表分页参数
     * @param dto        部门表查询表单
     * @return 部门表分页结果
     */
    IPage<DeptVo> selectListByPage(@Param("page") Page<DeptEntity> pageParams, @Param("dto") DeptDto dto);

}
