package com.auth.dao.base.mapper.v1;

import com.auth.model.base.dto.DictDto;
import com.auth.model.base.vo.DictVo;
import com.auth.dao.base.entity.DictEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 系统数据字典 Mapper 接口
 * </p>
 *
 * @author AuthoritySystem
 * @since 2025-07-17 23:12:33
 */
@Mapper
public interface DictMapper extends BaseMapper<DictEntity> {

    /**
     * 分页查询系统数据字典内容
     *
     * @param pageParams 系统数据字典分页参数
     * @param dto        系统数据字典查询表单
     * @return 系统数据字典分页结果
     */
    IPage<DictVo> selectListByPage(@Param("page") Page<DictEntity> pageParams, @Param("dto") DictDto dto);

}
