package com.auth.dao.base.mapper.v1;

import com.auth.model.base.dto.EmailConfigDto;
import com.auth.model.base.vo.EmailConfigVo;
import com.auth.dao.base.entity.EmailConfigEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 系统邮件服务器配置 Mapper 接口
 * </p>
 *
 * @author AuthoritySystem
 * @since 2025-07-17 23:12:33
 */
@Mapper
public interface EmailConfigMapper extends BaseMapper<EmailConfigEntity> {

    /**
     * 分页查询系统邮件服务器配置内容
     *
     * @param pageParams 系统邮件服务器配置分页参数
     * @param dto        系统邮件服务器配置查询表单
     * @return 系统邮件服务器配置分页结果
     */
    IPage<EmailConfigVo> selectListByPage(@Param("page") Page<EmailConfigEntity> pageParams, @Param("dto") EmailConfigDto dto);

}
