package com.auth.dao.base.mapper.v1;

import com.auth.model.base.dto.FileDto;
import com.auth.model.base.vo.FileVo;
import com.auth.dao.base.entity.FileEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 系统文件存储 Mapper 接口
 * </p>
 *
 * @author AuthoritySystem
 * @since 2025-07-17 23:12:33
 */
@Mapper
public interface FileMapper extends BaseMapper<FileEntity> {

    /**
     * 分页查询系统文件存储内容
     *
     * @param pageParams 系统文件存储分页参数
     * @param dto        系统文件存储查询表单
     * @return 系统文件存储分页结果
     */
    IPage<FileVo> selectListByPage(@Param("page") Page<FileEntity> pageParams, @Param("dto") FileDto dto);

}
