package com.auth.dao.base.mapper.v1;

import com.auth.model.base.dto.LoginLogDto;
import com.auth.model.base.vo.LoginLogVo;
import com.auth.dao.base.entity.LoginLogEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 系统用户登录日志 Mapper 接口
 * </p>
 *
 * @author AuthoritySystem
 * @since 2025-07-17 23:12:33
 */
@Mapper
public interface LoginLogMapper extends BaseMapper<LoginLogEntity> {

    /**
     * 分页查询系统用户登录日志内容
     *
     * @param pageParams 系统用户登录日志分页参数
     * @param dto        系统用户登录日志查询表单
     * @return 系统用户登录日志分页结果
     */
    IPage<LoginLogVo> selectListByPage(@Param("page") Page<LoginLogEntity> pageParams, @Param("dto") LoginLogDto dto);

}
