package com.auth.dao.base.mapper.v1;

import com.auth.model.base.dto.MenuDto;
import com.auth.model.base.vo.MenuVo;
import com.auth.dao.base.entity.MenuEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 系统菜单权限 Mapper 接口
 * </p>
 *
 * @author AuthoritySystem
 * @since 2025-07-17 23:12:33
 */
@Mapper
public interface MenuMapper extends BaseMapper<MenuEntity> {

    /**
     * 分页查询系统菜单权限内容
     *
     * @param pageParams 系统菜单权限分页参数
     * @param dto        系统菜单权限查询表单
     * @return 系统菜单权限分页结果
     */
    IPage<MenuVo> selectListByPage(@Param("page") Page<MenuEntity> pageParams, @Param("dto") MenuDto dto);

}
