package com.auth.dao.base.mapper.v1;

import com.auth.model.base.dto.MenuRoleDto;
import com.auth.model.base.vo.MenuRoleVo;
import com.auth.dao.base.entity.MenuRoleEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 系统菜单角色关联 Mapper 接口
 * </p>
 *
 * @author AuthoritySystem
 * @since 2025-07-17 23:12:33
 */
@Mapper
public interface MenuRoleMapper extends BaseMapper<MenuRoleEntity> {

    /**
     * 分页查询系统菜单角色关联内容
     *
     * @param pageParams 系统菜单角色关联分页参数
     * @param dto        系统菜单角色关联查询表单
     * @return 系统菜单角色关联分页结果
     */
    IPage<MenuRoleVo> selectListByPage(@Param("page") Page<MenuRoleEntity> pageParams, @Param("dto") MenuRoleDto dto);

}
