package com.auth.dao.base.mapper.v1;

import com.auth.model.base.dto.OperationLogDto;
import com.auth.model.base.vo.OperationLogVo;
import com.auth.dao.base.entity.OperationLogEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 系统操作日志 Mapper 接口
 * </p>
 *
 * @author AuthoritySystem
 * @since 2025-07-17 23:12:33
 */
@Mapper
public interface OperationLogMapper extends BaseMapper<OperationLogEntity> {

    /**
     * 分页查询系统操作日志内容
     *
     * @param pageParams 系统操作日志分页参数
     * @param dto        系统操作日志查询表单
     * @return 系统操作日志分页结果
     */
    IPage<OperationLogVo> selectListByPage(@Param("page") Page<OperationLogEntity> pageParams, @Param("dto") OperationLogDto dto);

}
