package com.auth.dao.base.mapper.v1;

import com.auth.model.base.dto.PermissionDto;
import com.auth.model.base.vo.PermissionVo;
import com.auth.dao.base.entity.PermissionEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 系统权限表 Mapper 接口
 * </p>
 *
 * @author AuthoritySystem
 * @since 2025-07-17 23:12:33
 */
@Mapper
public interface PermissionMapper extends BaseMapper<PermissionEntity> {

    /**
     * 分页查询系统权限表内容
     *
     * @param pageParams 系统权限表分页参数
     * @param dto        系统权限表查询表单
     * @return 系统权限表分页结果
     */
    IPage<PermissionVo> selectListByPage(@Param("page") Page<PermissionEntity> pageParams, @Param("dto") PermissionDto dto);

}
