package com.auth.dao.base.mapper.v1;

import com.auth.model.base.dto.RoleDataScopeDto;
import com.auth.model.base.vo.RoleDataScopeVo;
import com.auth.dao.base.entity.RoleDataScopeEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 系统角色数据权限范围 Mapper 接口
 * </p>
 *
 * @author AuthoritySystem
 * @since 2025-07-17 23:12:33
 */
@Mapper
public interface RoleDataScopeMapper extends BaseMapper<RoleDataScopeEntity> {

    /**
     * 分页查询系统角色数据权限范围内容
     *
     * @param pageParams 系统角色数据权限范围分页参数
     * @param dto        系统角色数据权限范围查询表单
     * @return 系统角色数据权限范围分页结果
     */
    IPage<RoleDataScopeVo> selectListByPage(@Param("page") Page<RoleDataScopeEntity> pageParams, @Param("dto") RoleDataScopeDto dto);

}
