package com.auth.dao.base.mapper.v1;

import com.auth.model.base.dto.UserDeptDto;
import com.auth.model.base.vo.UserDeptVo;
import com.auth.dao.base.entity.UserDeptEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 部门用户关系表 Mapper 接口
 * </p>
 *
 * @author AuthoritySystem
 * @since 2025-07-17 23:12:33
 */
@Mapper
public interface UserDeptMapper extends BaseMapper<UserDeptEntity> {

    /**
     * 分页查询部门用户关系表内容
     *
     * @param pageParams 部门用户关系表分页参数
     * @param dto        部门用户关系表查询表单
     * @return 部门用户关系表分页结果
     */
    IPage<UserDeptVo> selectListByPage(@Param("page") Page<UserDeptEntity> pageParams, @Param("dto") UserDeptDto dto);

}
