package com.auth.dao.base.view;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.util.Date;

@Getter
@Setter
@Accessors(chain = true)
@TableName("v_user_role_permission")
@Schema(name = "UserRolePermission-用户角色权限信息实体类", title = "用户角色权限信息", description = "用户角色权限信息的实体类对象")
public class UserRolePermission {

    // 用户角色关联信息
    @Schema(name = "userId", title = "用户Id")
    private Long userId;

    // 角色权限关联信息
    @Schema(name = "roleId", title = "角色Id")
    private Long roleId;

    @Schema(name = "permissionId", title = "权限Id")
    private Long permissionId;

    // 权限信息
    @Schema(name = "permissionCode", title = "权限编码")
    private String permissionCode;
    @Schema(name = "permissionName", title = "权限名称")
    private String permissionName;
    @Schema(name = "permissionType", title = "权限类型")
    private String permissionType;
    @Schema(name = "url", title = "URL地址")
    private String url;
    @Schema(name = "method", title = "请求方法")
    private String method;
    @Schema(name = "permissionLevel", title = "权限层级")
    private Integer permissionLevel;
    @Schema(name = "permissionPath", title = "权限路径")
    private String permissionPath;
    @Schema(name = "permissionOrderNum", title = "排序号")
    private Integer permissionOrderNum;
    @Schema(name = "permissionStatus", title = "状态(0禁用 1启用)")
    private Integer permissionStatus;
    @Schema(name = "permissionRemark", title = "备注")
    private String permissionRemark;

    // 用户信息
    @Schema(name = "username", title = "用户名")
    private String username;
    @Schema(name = "nickname", title = "昵称")
    private String nickname;
    @Schema(name = "email", title = "邮箱")
    private String email;
    @Schema(name = "phone", title = "手机号")
    private String phone;
    @Schema(name = "salt", title = "加密盐值")
    private String salt;
    @Schema(name = "password", title = "密码")
    private String password;
    @Schema(name = "avatar", title = "头像")
    private String avatar;
    @Schema(name = "gender", title = "性别(0未知 1男 2女)")
    private Integer gender;
    @Schema(name = "birthday", title = "生日")
    private Date birthday;
    @Schema(name = "introduction", title = "个人简介")
    private String introduction;
    @Schema(name = "lastLoginIp", title = "最后登录IP")
    private String lastLoginIp;
    @Schema(name = "lastLoginTime", title = "最后登录时间")
    private Date lastLoginTime;
    @Schema(name = "lastLoginRegion", title = "最后登录地区")
    private String lastLoginRegion;
    @Schema(name = "status", title = "状态(0禁用 1启用)")
    private Integer status;
    @Schema(name = "deptId", title = "部门ID")
    private Long deptId;
    @Schema(name = "postId", title = "岗位ID")
    private Long postId;
    @Schema(name = "isDeleted", title = "是否删除(0否 1是)")
    private Boolean isDeleted;

    // 角色信息
    @Schema(name = "roleCode", title = "角色编码")
    private String roleCode;
    @Schema(name = "roleName", title = "角色名称")
    private String roleName;
    @Schema(name = "roleType", title = "角色类型")
    private String roleType;
    @Schema(name = "roleDataScope", title = "数据范围")
    private String roleDataScope;
    @Schema(name = "roleOrderNum", title = "排序号")
    private Integer roleOrderNum;
    @Schema(name = "roleStatus", title = "状态(0禁用 1启用)")
    private Integer roleStatus;
    @Schema(name = "roleRemark", title = "备注")
    private String roleRemark;

}
