package com.auth.model.base.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Schema(name = "DictDTO-系统数据字典传输", title = "系统数据字典", description = "系统数据字典的DTO对象")
public class DictDto {

    @Schema(name = "dictType", title = "字典类型")
    private String dictType;

    @Schema(name = "dictCode", title = "字典编码")
    private String dictCode;

    @Schema(name = "dictValue", title = "字典值")
    private String dictValue;

    @Schema(name = "dictLabel", title = "字典标签")
    private String dictLabel;

    @Schema(name = "cssClass", title = "样式类名(前端显示使用)")
    private String cssClass;

    @Schema(name = "listClass", title = "表格回显样式")
    private String listClass;

    @Schema(name = "isDefault", title = "是否默认(0=否 1=是)")
    private Boolean isDefault;

    @Schema(name = "orderNum", title = "排序序号")
    private Integer orderNum;

    @Schema(name = "status", title = "状态(0=停用 1=启用)")
    private Boolean status;

    @Schema(name = "remark", title = "备注说明")
    private String remark;

    @Schema(name = "isDeleted", title = "删除标志(0=未删除 1=已删除)")
    private Boolean isDeleted;

}