package com.auth.model.base.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Schema(name = "EmailTemplateDTO-邮件模板传输对象", title = "邮件模板", description = "邮件模板的DTO对象")
public class EmailTemplateDto {

    @Schema(name = "templateName", title = "模板名称")
    private String templateName;

    @Schema(name = "emailUser", title = "关联邮件用户配置")
    private Long emailUser;

    @Schema(name = "subject", title = "主题")
    private String subject;

    @Schema(name = "body", title = "邮件内容")
    private String body;

    @Schema(name = "type", title = "邮件类型")
    private String type;

    @Schema(name = "isDefault", title = "是否默认")
    private Boolean isDefault;

    @Schema(name = "isDeleted", title = "是否删除")
    private Boolean isDeleted;

    @Schema(name = "templateCode", title = "模板编码(唯一)")
    private String templateCode;

    @Schema(name = "emailConfigId", title = "关联邮件配置ID")
    private Long emailConfigId;

    @Schema(name = "content", title = "邮件内容(支持HTML)")
    private String content;

    @Schema(name = "templateType", title = "模板类型")
    private String templateType;

    @Schema(name = "ccList", title = "抄送列表(多个用逗号分隔)")
    private String ccList;

    @Schema(name = "bccList", title = "密送列表(多个用逗号分隔)")
    private String bccList;

    @Schema(name = "paramsConfig", title = "模板参数配置")
    private Object paramsConfig;

}