package com.auth.model.base.dto;

import com.auth.common.model.enums.LoginEnums;
import com.auth.common.model.valid.custom.enums.EnumerateValid;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(name = "LoginDTO-登录表单", title = "登录表单", description = "登录请求参数")
public class LoginDto {

    @Schema(name = "type", description = "登录类型")
    @EnumerateValid(enumClass = LoginEnums.class, message = "登录状态不在指定范围中")
    private LoginEnums type = LoginEnums.default_STRATEGY;

    @Schema(name = "username", title = "用户名")
    private String username;

    @Schema(name = "password", description = "密码")
    private String password;

}
