package com.auth.model.base.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Schema(name = "RoleDTO-系统角色传输对象", title = "系统角色", description = "系统角色的DTO对象")
public class RoleDto {

    @Schema(name = "roleCode", title = "角色代码")
    private String roleCode;

    @Schema(name = "description", title = "描述")
    private String description;

    @Schema(name = "isDeleted", title = "是否删除")
    private Boolean isDeleted;

    @Schema(name = "roleName", title = "角色名称")
    private String roleName;

    @Schema(name = "roleType", title = "角色类型(1=系统角色,2=业务角色,3=自定义角色)")
    private Integer roleType;

    @Schema(name = "dataScope", title = "数据权限范围(1=全部数据,2=本部门及以下,3=本部门,4=仅本人,5=自定义)")
    private Integer dataScope;

    @Schema(name = "orderNum", title = "显示顺序")
    private Integer orderNum;

    @Schema(name = "status", title = "状态(0=禁用,1=启用)")
    private Integer status;

    @Schema(name = "remark", title = "备注说明")
    private String remark;

}