package com.auth.model.base.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(name = "DeptVO-部门返回对象", title = "部门", description = "部门的VO对象")
public class DeptVo {

    @Schema(name = "parentId", title = "父级id")
    private Long parentId;

    @Schema(name = "manager", title = "管理者id")
    private String manager;

    @Schema(name = "deptName", title = "部门名称")
    private String deptName;

    @Schema(name = "summary", title = "部门简介")
    private String summary;

    @Schema(name = "isDeleted", title = "是否删除")
    private Boolean isDeleted;

    @Schema(name = "deptCode", title = "部门编码(唯一标识)")
    private String deptCode;

    @Schema(name = "deptLevel", title = "部门层级(从1开始)")
    private Integer deptLevel;

    @Schema(name = "deptPath", title = "部门路径(存储所有父级ID，用逗号分隔)")
    private String deptPath;

    @Schema(name = "managerIds", title = "管理者ID列表(多个ID用逗号分隔)")
    private String managerIds;

    @Schema(name = "orderNum", title = "显示顺序")
    private Integer orderNum;

    @Schema(name = "status", title = "状态(0=停用 1=启用)")
    private Boolean status;

    @Schema(name = "remark", title = "备注信息")
    private String remark;

}

