package com.auth.model.base.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(name = "OperationLogVO-系统操作日志返回对象", title = "系统操作日志", description = "系统操作日志的VO对象")
public class OperationLogVo {

    @Schema(name = "module", title = "操作模块")
    private String module;

    @Schema(name = "operationType", title = "操作类型")
    private String operationType;

    @Schema(name = "operationDesc", title = "操作描述")
    private String operationDesc;

    @Schema(name = "requestMethod", title = "请求方法")
    private String requestMethod;

    @Schema(name = "requestUrl", title = "请求URL")
    private String requestUrl;

    @Schema(name = "requestParams", title = "请求参数")
    private String requestParams;

    @Schema(name = "responseResult", title = "响应结果")
    private String responseResult;

    @Schema(name = "userId", title = "操作用户ID")
    private Long userId;

    @Schema(name = "username", title = "操作用户名")
    private String username;

    @Schema(name = "ipAddress", title = "操作IP")
    private String ipAddress;

    @Schema(name = "ipRegion", title = "IP归属地")
    private String ipRegion;

    @Schema(name = "userAgent", title = "用户代理")
    private String userAgent;

    @Schema(name = "status", title = "操作状态(0=失败,1=成功)")
    private Integer status;

    @Schema(name = "errorMsg", title = "错误信息")
    private String errorMsg;

    @Schema(name = "executeTime", title = "执行时长(毫秒)")
    private Long executeTime;

}

