package com.auth.model.base.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(name = "用户信息返回对象", title = "用户信息", description = "用户信息的VO对象")
public class UserVo {

    @Schema(name = "username", title = "用户名")
    private String username;

    @Schema(name = "nickname", title = "昵称")
    private String nickname;

    @Schema(name = "email", title = "邮箱")
    private String email;

    @Schema(name = "phone", title = "手机号")
    private String phone;

    @Schema(name = "password", title = "密码")
    private String password;

    @Schema(name = "avatar", title = "头像URL")
    private String avatar;

    @Schema(name = "sex", title = "0:女 1:男")
    private Integer sex;

    @Schema(name = "summary", title = "个人描述")
    private String summary;

    @Schema(name = "ipAddress", title = "最后登录IP")
    private String ipAddress;

    @Schema(name = "ipRegion", title = "最后登录ip归属地")
    private String ipRegion;

    @Schema(name = "status", title = "1:禁用 0:正常")
    private Integer status;

    @Schema(name = "isDeleted", title = "是否删除")
    private Integer isDeleted;

    @Schema(name = "salt", title = "密码盐值")
    private String salt;

    @Schema(name = "gender", title = "性别(0=未知,1=男,2=女)")
    private Integer gender;

    @Schema(name = "birthday", title = "出生日期")
    private Date birthday;

    @Schema(name = "introduction", title = "个人简介")
    private String introduction;

    @Schema(name = "lastLoginIp", title = "最后登录IP")
    private String lastLoginIp;

    @Schema(name = "lastLoginRegion", title = "最后登录地区")
    private String lastLoginRegion;

    @Schema(name = "lastLoginTime", title = "最后登录时间")
    private LocalDateTime lastLoginTime;

    @Schema(name = "deptId", title = "所属部门ID")
    private Long deptId;

    @Schema(name = "postId", title = "所属岗位ID")
    private Long postId;

}

