package com.auth.service.base.service;

import com.auth.common.model.common.result.PageResult;
import com.auth.model.base.dto.DictDto;
import com.auth.model.base.vo.DictVo;
import com.auth.dao.base.entity.DictEntity;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 系统数据字典 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-17 23:06:38
 */
public interface DictService extends IService<DictEntity> {

    /**
     * 分页查询系统数据字典
     *
     * @return 系统数据字典分页结果 {@link DictVo}
     */
    PageResult<DictVo> getDictPage(Page<DictEntity> pageParams, DictDto dto);

    /**
     * 根据id查询系统数据字典详情
     *
     * @param id 主键
     * @return 系统数据字典详情 DictVo}
     */
    DictVo getDictById(Long id);

    /**
     * 添加系统数据字典
     *
     * @param dto {@link DictDto} 添加表单
     */
    void addDict(DictDto dto);

    /**
     * 更新系统数据字典
     *
     * @param dto {@link DictDto} 更新表单
     */
    void updateDict(DictDto dto);

    /**
     * 删除|批量删除系统数据字典类型
     *
     * @param ids 删除id列表
     */
    void deleteDict(List<Long> ids);
}
