package com.auth.service.base.service;

import com.auth.common.model.common.result.PageResult;
import com.auth.model.base.dto.FileDto;
import com.auth.model.base.vo.FileVo;
import com.auth.dao.base.entity.FileEntity;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 系统文件存储 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-17 23:06:38
 */
public interface FileService extends IService<FileEntity> {

    /**
     * 分页查询系统文件存储
     *
     * @return 系统文件存储分页结果 {@link FileVo}
     */
    PageResult<FileVo> getFilePage(Page<FileEntity> pageParams, FileDto dto);

    /**
     * 根据id查询系统文件存储详情
     *
     * @param id 主键
     * @return 系统文件存储详情 FileVo}
     */
    FileVo getFileById(Long id);

    /**
     * 添加系统文件存储
     *
     * @param dto {@link FileDto} 添加表单
     */
    void addFile(FileDto dto);

    /**
     * 更新系统文件存储
     *
     * @param dto {@link FileDto} 更新表单
     */
    void updateFile(FileDto dto);

    /**
     * 删除|批量删除系统文件存储类型
     *
     * @param ids 删除id列表
     */
    void deleteFile(List<Long> ids);
}
