package com.auth.service.base.service;

import com.auth.common.model.common.result.PageResult;
import com.auth.model.base.dto.MenuRoleDto;
import com.auth.model.base.vo.MenuRoleVo;
import com.auth.dao.base.entity.MenuRoleEntity;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 系统菜单角色关联 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-17 23:06:38
 */
public interface MenuRoleService extends IService<MenuRoleEntity> {

    /**
     * 分页查询系统菜单角色关联
     *
     * @return 系统菜单角色关联分页结果 {@link MenuRoleVo}
     */
    PageResult<MenuRoleVo> getMenuRolePage(Page<MenuRoleEntity> pageParams, MenuRoleDto dto);

    /**
     * 根据id查询系统菜单角色关联详情
     *
     * @param id 主键
     * @return 系统菜单角色关联详情 MenuRoleVo}
     */
    MenuRoleVo getMenuRoleById(Long id);

    /**
     * 添加系统菜单角色关联
     *
     * @param dto {@link MenuRoleDto} 添加表单
     */
    void addMenuRole(MenuRoleDto dto);

    /**
     * 更新系统菜单角色关联
     *
     * @param dto {@link MenuRoleDto} 更新表单
     */
    void updateMenuRole(MenuRoleDto dto);

    /**
     * 删除|批量删除系统菜单角色关联类型
     *
     * @param ids 删除id列表
     */
    void deleteMenuRole(List<Long> ids);
}
