package com.auth.service.base.service;

import com.auth.common.model.common.result.PageResult;
import com.auth.model.base.dto.MenuDto;
import com.auth.model.base.vo.MenuVo;
import com.auth.dao.base.entity.MenuEntity;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 系统菜单权限 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-17 23:06:38
 */
public interface MenuService extends IService<MenuEntity> {

    /**
     * 分页查询系统菜单权限
     *
     * @return 系统菜单权限分页结果 {@link MenuVo}
     */
    PageResult<MenuVo> getMenuPage(Page<MenuEntity> pageParams, MenuDto dto);

    /**
     * 根据id查询系统菜单权限详情
     *
     * @param id 主键
     * @return 系统菜单权限详情 MenuVo}
     */
    MenuVo getMenuById(Long id);

    /**
     * 添加系统菜单权限
     *
     * @param dto {@link MenuDto} 添加表单
     */
    void addMenu(MenuDto dto);

    /**
     * 更新系统菜单权限
     *
     * @param dto {@link MenuDto} 更新表单
     */
    void updateMenu(MenuDto dto);

    /**
     * 删除|批量删除系统菜单权限类型
     *
     * @param ids 删除id列表
     */
    void deleteMenu(List<Long> ids);
}
