package com.auth.service.base.service;

import com.auth.common.model.common.result.PageResult;
import com.auth.model.base.dto.PermissionDto;
import com.auth.model.base.vo.PermissionVo;
import com.auth.dao.base.entity.PermissionEntity;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 系统权限表 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-17 23:06:38
 */
public interface PermissionService extends IService<PermissionEntity> {

    /**
     * 分页查询系统权限表
     *
     * @return 系统权限表分页结果 {@link PermissionVo}
     */
    PageResult<PermissionVo> getPermissionPage(Page<PermissionEntity> pageParams, PermissionDto dto);

    /**
     * 根据id查询系统权限表详情
     *
     * @param id 主键
     * @return 系统权限表详情 PermissionVo}
     */
    PermissionVo getPermissionById(Long id);

    /**
     * 添加系统权限表
     *
     * @param dto {@link PermissionDto} 添加表单
     */
    void addPermission(PermissionDto dto);

    /**
     * 更新系统权限表
     *
     * @param dto {@link PermissionDto} 更新表单
     */
    void updatePermission(PermissionDto dto);

    /**
     * 删除|批量删除系统权限表类型
     *
     * @param ids 删除id列表
     */
    void deletePermission(List<Long> ids);
}
