package com.auth.service.base.service;

import com.auth.common.model.common.result.PageResult;
import com.auth.model.base.dto.RoleDataScopeDto;
import com.auth.model.base.vo.RoleDataScopeVo;
import com.auth.dao.base.entity.RoleDataScopeEntity;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 系统角色数据权限范围 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-17 23:06:38
 */
public interface RoleDataScopeService extends IService<RoleDataScopeEntity> {

    /**
     * 分页查询系统角色数据权限范围
     *
     * @return 系统角色数据权限范围分页结果 {@link RoleDataScopeVo}
     */
    PageResult<RoleDataScopeVo> getRoleDataScopePage(Page<RoleDataScopeEntity> pageParams, RoleDataScopeDto dto);

    /**
     * 根据id查询系统角色数据权限范围详情
     *
     * @param id 主键
     * @return 系统角色数据权限范围详情 RoleDataScopeVo}
     */
    RoleDataScopeVo getRoleDataScopeById(Long id);

    /**
     * 添加系统角色数据权限范围
     *
     * @param dto {@link RoleDataScopeDto} 添加表单
     */
    void addRoleDataScope(RoleDataScopeDto dto);

    /**
     * 更新系统角色数据权限范围
     *
     * @param dto {@link RoleDataScopeDto} 更新表单
     */
    void updateRoleDataScope(RoleDataScopeDto dto);

    /**
     * 删除|批量删除系统角色数据权限范围类型
     *
     * @param ids 删除id列表
     */
    void deleteRoleDataScope(List<Long> ids);
}
