package com.auth.service.base.service;

import com.auth.common.model.common.result.PageResult;
import com.auth.model.base.dto.RolePermissionDto;
import com.auth.model.base.vo.RolePermissionVo;
import com.auth.dao.base.entity.RolePermissionEntity;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 系统角色权限表 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-17 23:06:38
 */
public interface RolePermissionService extends IService<RolePermissionEntity> {

    /**
     * 分页查询系统角色权限表
     *
     * @return 系统角色权限表分页结果 {@link RolePermissionVo}
     */
    PageResult<RolePermissionVo> getRolePermissionPage(Page<RolePermissionEntity> pageParams, RolePermissionDto dto);

    /**
     * 根据id查询系统角色权限表详情
     *
     * @param id 主键
     * @return 系统角色权限表详情 RolePermissionVo}
     */
    RolePermissionVo getRolePermissionById(Long id);

    /**
     * 添加系统角色权限表
     *
     * @param dto {@link RolePermissionDto} 添加表单
     */
    void addRolePermission(RolePermissionDto dto);

    /**
     * 更新系统角色权限表
     *
     * @param dto {@link RolePermissionDto} 更新表单
     */
    void updateRolePermission(RolePermissionDto dto);

    /**
     * 删除|批量删除系统角色权限表类型
     *
     * @param ids 删除id列表
     */
    void deleteRolePermission(List<Long> ids);
}
