package com.auth.service.base.service;

import com.auth.common.model.common.result.PageResult;
import com.auth.model.base.dto.RoleDto;
import com.auth.model.base.vo.RoleVo;
import com.auth.dao.base.entity.RoleEntity;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 系统角色表 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-17 23:06:38
 */
public interface RoleService extends IService<RoleEntity> {

    /**
     * 分页查询系统角色表
     *
     * @return 系统角色表分页结果 {@link RoleVo}
     */
    PageResult<RoleVo> getRolePage(Page<RoleEntity> pageParams, RoleDto dto);

    /**
     * 根据id查询系统角色表详情
     *
     * @param id 主键
     * @return 系统角色表详情 RoleVo}
     */
    RoleVo getRoleById(Long id);

    /**
     * 添加系统角色表
     *
     * @param dto {@link RoleDto} 添加表单
     */
    void addRole(RoleDto dto);

    /**
     * 更新系统角色表
     *
     * @param dto {@link RoleDto} 更新表单
     */
    void updateRole(RoleDto dto);

    /**
     * 删除|批量删除系统角色表类型
     *
     * @param ids 删除id列表
     */
    void deleteRole(List<Long> ids);
}
