package com.auth.service.base.service;

import com.auth.common.model.common.result.PageResult;
import com.auth.model.base.dto.UserDeptDto;
import com.auth.model.base.vo.UserDeptVo;
import com.auth.dao.base.entity.UserDeptEntity;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 部门用户关系表 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-17 23:06:38
 */
public interface UserDeptService extends IService<UserDeptEntity> {

    /**
     * 分页查询部门用户关系表
     *
     * @return 部门用户关系表分页结果 {@link UserDeptVo}
     */
    PageResult<UserDeptVo> getUserDeptPage(Page<UserDeptEntity> pageParams, UserDeptDto dto);

    /**
     * 根据id查询部门用户关系表详情
     *
     * @param id 主键
     * @return 部门用户关系表详情 UserDeptVo}
     */
    UserDeptVo getUserDeptById(Long id);

    /**
     * 添加部门用户关系表
     *
     * @param dto {@link UserDeptDto} 添加表单
     */
    void addUserDept(UserDeptDto dto);

    /**
     * 更新部门用户关系表
     *
     * @param dto {@link UserDeptDto} 更新表单
     */
    void updateUserDept(UserDeptDto dto);

    /**
     * 删除|批量删除部门用户关系表类型
     *
     * @param ids 删除id列表
     */
    void deleteUserDept(List<Long> ids);
}
