package com.auth.service.base.service;

import com.auth.common.model.common.result.PageResult;
import com.auth.model.base.dto.UserRoleDto;
import com.auth.model.base.vo.UserRoleVo;
import com.auth.dao.base.entity.UserRoleEntity;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 系统用户角色关系表 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-17 23:06:38
 */
public interface UserRoleService extends IService<UserRoleEntity> {

    /**
     * 分页查询系统用户角色关系表
     *
     * @return 系统用户角色关系表分页结果 {@link UserRoleVo}
     */
    PageResult<UserRoleVo> getUserRolePage(Page<UserRoleEntity> pageParams, UserRoleDto dto);

    /**
     * 根据id查询系统用户角色关系表详情
     *
     * @param id 主键
     * @return 系统用户角色关系表详情 UserRoleVo}
     */
    UserRoleVo getUserRoleById(Long id);

    /**
     * 添加系统用户角色关系表
     *
     * @param dto {@link UserRoleDto} 添加表单
     */
    void addUserRole(UserRoleDto dto);

    /**
     * 更新系统用户角色关系表
     *
     * @param dto {@link UserRoleDto} 更新表单
     */
    void updateUserRole(UserRoleDto dto);

    /**
     * 删除|批量删除系统用户角色关系表类型
     *
     * @param ids 删除id列表
     */
    void deleteUserRole(List<Long> ids);
}
